GNU bug report logs - #46660
[PATCH] 28.0.50; Support for PKGBUILD files on Arch Linux

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Utkarsh Singh <utkarsh190601@HIDDEN>; Keywords: fixed patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 46660 <at> debbugs.gnu.org and Utkarsh Singh <utkarsh190601@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46660 <at> debbugs.gnu.org:


Received: (at 46660) by debbugs.gnu.org; 23 Feb 2021 15:43:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 10:43:14 2021
Received: from localhost ([127.0.0.1]:60223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEZqD-0000oC-MC
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 10:43:13 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lEZqC-0000nv-64
 for 46660 <at> debbugs.gnu.org; Tue, 23 Feb 2021 10:43:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dA+oA39aTnW9R19/mE/B7mshnvBdUDiQO506lr77Ngk=; b=PW3qtlR/lgL7p0Bx+JvABnUJrS
 YDpdEuXzSxoBIXnlmz1XV+eU12Pya2u+mM4PQY/JbD+387K3RVs+oCs1Kz43UtxYldntzcoQGw9gI
 CLap2FQj4hU5b0K9oGBQqiJXhTP02rqxFABkBdcZsRn3Gwk7mfZOKkKpJFbkvt0Knm54=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lEZq3-0001Pi-PO; Tue, 23 Feb 2021 16:43:06 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Utkarsh Singh <utkarsh190601@HIDDEN>
Subject: Re: bug#46660: [Utkarsh Singh] Re: bug#46660: [PATCH] 28.0.50;
 Support for PKGBUILD files on Arch Linux
References: <87r1l74dfg.fsf@HIDDEN> <87k0qz4d89.fsf@HIDDEN>
X-Now-Playing: Jungle Brothers's _Straight Out The Jungle (1)_: "Behind The
 Bush"
Date: Tue, 23 Feb 2021 16:43:02 +0100
In-Reply-To: <87k0qz4d89.fsf@HIDDEN> (Utkarsh Singh's message of "Tue, 23
 Feb 2021 10:01:02 +0530")
Message-ID: <878s7edc3d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Utkarsh Singh <utkarsh190601@HIDDEN> writes: >> Thanks,
 but this will still match "fooPKGBUILD". Is that the intention, >> or are
 these files called only "PKGBUILD" without any prefix? > > Yes, these file
 are only called PKGBUILD without any pos [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46660
Cc: 46660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Utkarsh Singh <utkarsh190601@HIDDEN> writes:

>> Thanks, but this will still match "fooPKGBUILD".  Is that the intention,
>> or are these files called only "PKGBUILD" without any prefix?
>
> Yes, these file are only called PKGBUILD without any post-fix.
>
> For prefix shouldn't they match the file path for ex:
> '/home/user/emacs/PKGBUILD' or is file path ignored in this case?

I interpret this to mean that the files are called "PKGBUILD", with no
prefix, and I've committed your patch (with a change to match exactly
that) to Emacs 28.  (The fix is to add a "/" to the start of the regexp,
since we're matching on the entire file name.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46660; Package emacs. Full text available.

Message received at 46660 <at> debbugs.gnu.org:


Received: (at 46660) by debbugs.gnu.org; 23 Feb 2021 04:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 23:29:16 2021
Received: from localhost ([127.0.0.1]:58060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEPJz-0004RI-R5
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 23:29:16 -0500
Received: from mail-pl1-f181.google.com ([209.85.214.181]:46271)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1lEPJy-0004R5-IW
 for 46660 <at> debbugs.gnu.org; Mon, 22 Feb 2021 23:29:14 -0500
Received: by mail-pl1-f181.google.com with SMTP id u11so9053186plg.13
 for <46660 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 20:29:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:message-id:mime-version;
 bh=iLC//Lh6I8tqcERc3CrbEpWRv+IEcz9G6RC8sfU9te4=;
 b=Ejce6fiJd2F3P2PaS6E3bpe61uEj4sueoh+LbyfEujz0GEKMXBaz1XacnfI2pdRh1+
 v9vwJdoBNB6MqTjI9N822BkPZkyNkHN3VLqGZBToxXeW0jrER+7LN4J41u2+VobOGQa9
 nbYZcsfQAS+QyKjPVXsp0+LwLkeKQYi0CzPleFNZYVlO54F0DqkCGj2qQ3AzhGDN3QIr
 TjG7MXu65Sh2+yPIvAASTe5y6s8xhCsjPS4ICLz90HCrqFzhiDtE+uQsCPS0QAVOY0jk
 fMA7hwZXwL93cVnuNpOGYn0IqyIguvgjpNJdbtOykegWZKxAJeWiPQiT4pn2XwluVe1L
 TFAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:message-id
 :mime-version;
 bh=iLC//Lh6I8tqcERc3CrbEpWRv+IEcz9G6RC8sfU9te4=;
 b=JUzfMAWK176rTMOyDIc/IebyqHRQCOCzATFD3zAMpgrFWAluB/OKPLuAZpwmaFXutw
 OUYsT2VG8j1KWOoEzwK5h+lkQ7Pd4xrBJEJgdHIfj8FOE99a9OprSmSiKZ+2FRX0s8l/
 5BS7Agy/aiFq2vGOUjIk15UIIyHkzsSY0muhvoGqneKmxSCm+h0Org2BrrX2y8M9dXpG
 VnGKWwZpCHL2tNvoKy9ZAygqRe+6h36PZ8qJqdWrxms8yse0MxrUCqkzHDn/D9LCULJV
 EnqeAA832VUoXrG9m7XmMfTzKu43vlhus7ZEKfmmFikI5EtvF7OC1t2u28tj6Pv+ZQrv
 iaaw==
X-Gm-Message-State: AOAM530CAU/lcLNsu2B2eaAUJEVsum5RbUuu8/RXhZHlnq4Jx3DYPP/E
 aAmJH99lsQhZV7tKsTXK0cyogy/W2BE=
X-Google-Smtp-Source: ABdhPJz0giGdGJRwaY4yR/B7z2/u245PktkmnFYxoMnYcfT3imaDmRqO3uhGlkBEClJiCfnjoP2qNw==
X-Received: by 2002:a17:902:427:b029:e3:984f:d525 with SMTP id
 36-20020a1709020427b02900e3984fd525mr25961290ple.65.1614054548452; 
 Mon, 22 Feb 2021 20:29:08 -0800 (PST)
Received: from localhost ([43.230.64.193])
 by smtp.gmail.com with ESMTPSA id j9sm1109806pjn.32.2021.02.22.20.29.07
 for <46660 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 22 Feb 2021 20:29:08 -0800 (PST)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: 46660 <at> debbugs.gnu.org
Subject: [Utkarsh Singh] Re: bug#46660: [PATCH] 28.0.50; Support for
 PKGBUILD files on Arch Linux
References: <87r1l74dfg.fsf@HIDDEN>
Date: Tue, 23 Feb 2021 10:01:02 +0530
Message-ID: <87k0qz4d89.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 46660
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> Thanks, but this will still match "fooPKGBUILD".  Is that the intention,
> or are these files called only "PKGBUILD" without any prefix?

Yes, these file are only called PKGBUILD without any post-fix.

For prefix shouldn't they match the file path for ex:
'/home/user/emacs/PKGBUILD' or is file path ignored in this case?
-- 
Utkarsh Singh




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46660; Package emacs. Full text available.

Message received at 46660 <at> debbugs.gnu.org:


Received: (at 46660) by debbugs.gnu.org; 22 Feb 2021 15:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 10:08:54 2021
Received: from localhost ([127.0.0.1]:57078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lECpS-0003mT-21
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:08:54 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lECpP-0003mE-Q0
 for 46660 <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:08:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Z+LPnK63LWY1FUSEB0/i/AcYWguNakWmUn4avCB89LY=; b=CqJ8oKtbJR21JCiEzUOYN6qxDU
 50y4ZES1OvYl97bc7QPLT5+FNFbh3QunrpRFB46GlS+ZzoJvFw4C5KMYbgWtNyVdLz/CGsa/3+Fjd
 ZN45nQ4DF12bFSUpQAeySa1+UUq9UUeTucVmSO6Vcq62UKjsWPGWbC3ULKzYW29+ADkA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lECpH-0006NR-5G; Mon, 22 Feb 2021 16:08:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Utkarsh Singh <utkarsh190601@HIDDEN>
Subject: Re: bug#46660: [PATCH] 28.0.50; Support for PKGBUILD files on Arch
 Linux
References: <87pn0v6sgq.fsf@HIDDEN> <87k0r3x7cp.fsf@HIDDEN>
X-Now-Playing: Hugo Largo's _Turtle Song_: "Turtle Song"
Date: Mon, 22 Feb 2021 16:08:41 +0100
In-Reply-To: <87k0r3x7cp.fsf@HIDDEN> (Utkarsh Singh's message of "Sat, 20
 Feb 2021 17:46:06 +0530")
Message-ID: <87im6kjg1y.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Utkarsh Singh <utkarsh190601@HIDDEN> writes: > Andreas
 Schwab <schwab@HIDDEN> writes: > >> Use "\\'" instead of "$". Is this
 supposed to match "fooPKGBUILD"? > > Thanks I was unaware of this particular
 regex! Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46660
Cc: 46660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Utkarsh Singh <utkarsh190601@HIDDEN> writes:

> Andreas Schwab <schwab@HIDDEN> writes:
>
>> Use "\\'" instead of "$".  Is this supposed to match "fooPKGBUILD"?
>
> Thanks I was unaware of this particular regex!

[...]

> +     ("PKGBUILD\\'" . sh-mode)

Thanks, but this will still match "fooPKGBUILD".  Is that the intention,
or are these files called only "PKGBUILD" without any prefix?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46660; Package emacs. Full text available.

Message received at 46660 <at> debbugs.gnu.org:


Received: (at 46660) by debbugs.gnu.org; 20 Feb 2021 14:02:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 09:02:06 2021
Received: from localhost ([127.0.0.1]:51284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDSpf-000205-HP
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:02:06 -0500
Received: from mail-pg1-f182.google.com ([209.85.215.182]:35689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1lDR9S-0003eH-Dp
 for 46660 <at> debbugs.gnu.org; Sat, 20 Feb 2021 07:14:23 -0500
Received: by mail-pg1-f182.google.com with SMTP id t25so7110030pga.2
 for <46660 <at> debbugs.gnu.org>; Sat, 20 Feb 2021 04:14:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:message-id:mime-version;
 bh=CWV2X/r4hPAAf3DBUpujxA8JPJ30sppEZA80IVdlWDs=;
 b=Yam6RZExKqgc8T2swSK7hRYDXmi7ndzzwB2JRcDFp9AP+be+8XXr+eMO2oJ8HKag9/
 QWAQZ0iKgm2ZyFefUtbe4TeW0kK+LfioUl69OdZ33b7Hw0WtX9JSFIgMsDhqaayLgw42
 urB/cm848ubelB2wCSGfhorU6ndJewJC0TYmr84q1ucESW3EqRhhTgp0f42GvlERPkZ3
 RwQYbxUjpFFjSeJ9v0KxFiRQm1p2FYtM+pBX5MdDioZB9n90FEVcZdCmniuDB/hKWxo6
 0HjdzFuhqXnLynMqNs2ha06e6pEPfoj1OFWkEa6N4m4zkzeH7y/2FpRlZbDBGvrsZJYw
 4DiQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:message-id
 :mime-version;
 bh=CWV2X/r4hPAAf3DBUpujxA8JPJ30sppEZA80IVdlWDs=;
 b=he/fFrXHcVB/uv6WFW4XHoo+aWrgGGItVhzT9e2pDUCHUAoIM8JqHYzzSwXz0DpNDc
 uAjmil2cSEyInXBXr6ionv573bcggqaPdglhVTt1HAtOAzphXBrEMabSFN6Tx1/F8nC5
 OLqGVTUTaAnH0kwgaFzptDoSdt3R+rbPE0qpiWnwe29n6fXLUSc1MUXqckUrQ7B3rI/L
 2/LpSt6IExmaYonnVRi4qaAwGBunTc2LfaQBJhLcrzbusNygHKwCBa9tJCGOSaco6MDt
 ecA/1AzB3ASxHLt51PHGw0l3VInP2KH22FCBeQESL97VuDhLFlA7HvxIe3z25iTsu3V8
 1BIg==
X-Gm-Message-State: AOAM530++4bHLldPA4NLLrfzsMkuhlCXBxvs5PQIu4v4Z9/fAq4CbPNF
 843oDYbR01nCrhH2H6BSeM9CLCHJYfg=
X-Google-Smtp-Source: ABdhPJxHyoRl2SkZVkqAVRKvH4Cabzddb+FxoCgCdqwvbx3QamUdrsO4gkDmhkGQc+wVvMJ3E0rCTQ==
X-Received: by 2002:a63:515b:: with SMTP id r27mr12443703pgl.38.1613823256188; 
 Sat, 20 Feb 2021 04:14:16 -0800 (PST)
Received: from localhost ([103.77.0.97])
 by smtp.gmail.com with ESMTPSA id 125sm12526858pfu.7.2021.02.20.04.14.15
 for <46660 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 20 Feb 2021 04:14:15 -0800 (PST)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: 46660 <at> debbugs.gnu.org
Subject: [Andreas Schwab] Re: bug#46660: [PATCH] 28.0.50; Support for
 PKGBUILD files on Arch Linux
References: <87pn0v6sgq.fsf@HIDDEN>
Date: Sat, 20 Feb 2021 17:46:06 +0530
Message-ID: <87k0r3x7cp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 46660
X-Mailman-Approved-At: Sat, 20 Feb 2021 09:02:02 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Andreas Schwab <schwab@HIDDEN> writes:

> Use "\\'" instead of "$".  Is this supposed to match "fooPKGBUILD"?

Thanks I was unaware of this particular regex!

diff --git a/lisp/files.el b/lisp/files.el
index 68e883513c..393b3472f7 100644
=2D-- a/lisp/files.el
+++ b/lisp/files.el
@@ -2723,6 +2723,7 @@ auto-mode-alist
("\\.scm\\.[0-9]*\\'" . scheme-mode)
("\\.[ckz]?sh\\'\\|\\.shar\\'\\|/\\.z?profile\\'" . sh-mode)
("\\.bash\\'" . sh-mode)
+     ("PKGBUILD\\'" . sh-mode)
("\\(/\\|\\`\\)\\.\\(bash_\\(profile\\|history\\|log\\(in\\|out\\)\\)\\|z?l=
og\\(in\\|out\\)\\)\\'" .
sh-mode)
("\\(/\\|\\`\\)\\.\\(shrc\\|zshrc\\|m?kshrc\\|bashrc\\|t?cshrc\\|esrc\\)\\'=
" . sh-mode)
	("\\(/\\|\\`\\)\\.\\([kz]shenv\\|xinitrc\\|startxrc\\|xsession\\)\\'" . sh=
-mode)
=2D-=20
Utkarsh Singh

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCAA2FiEEO/UPT8Dq/qDVNhySSfZAAWYhrHYFAmAw/YYYHHV0a2Fyc2gx
OTA2MDFAZ21haWwuY29tAAoJEEn2QAFmIax2YZgH/jG+2KqL59B7DyUd2wzSDku5
ljYx6pzi7c4SC2Z+Q5oe7mAEAHJLQP/cfQjeCa8JL4zKKdhKyfL0bW6n4eabc7vq
tSjdn7019IGeD/UzaccHtRxmU+666C9R8Tv0hXgL3jihOOa6qWoGRKoX8CGeb2rN
gTQCGOXz/jH4axNbOWqoq1wbEs8Emz3eh5X+qT7F9jaE+uNErGelgNNmFyhdk4sw
LhnXf3lyn9Kpm0VsW25b0lEvivVkPF6rhPWBxIABguGlYWGu5l8QOHksEJqXYvua
qr+KT5NRP5ac1EwwZsTyNgl2O/NYMu6d8lBasIfVmjbcO+5uW1kdNcY2UEWJNMs=
=0vX+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46660; Package emacs. Full text available.

Message received at 46660 <at> debbugs.gnu.org:


Received: (at 46660) by debbugs.gnu.org; 20 Feb 2021 08:42:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 03:42:25 2021
Received: from localhost ([127.0.0.1]:50957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDNqI-0006Fi-Fp
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 03:42:25 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:42920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1lDNqD-0006FW-Hz
 for 46660 <at> debbugs.gnu.org; Sat, 20 Feb 2021 03:42:21 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4DjMQ02Wk0z1rxMB;
 Sat, 20 Feb 2021 09:42:16 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4DjMQ009Nlz1tYTg;
 Sat, 20 Feb 2021 09:42:16 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id fNxSuMFNiPsw; Sat, 20 Feb 2021 09:42:15 +0100 (CET)
X-Auth-Info: 27nIRKeXSKqw4xQ9dKh8Fp+J2TKyXEF8PiQ+GDqDIxYC4hc7HJWkDpny/OcOk2WU
Received: from hase.home (ppp-46-244-178-213.dynamic.mnet-online.de
 [46.244.178.213])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sat, 20 Feb 2021 09:42:15 +0100 (CET)
Received: by hase.home (Postfix, from userid 1000)
 id E46FD102ABB; Sat, 20 Feb 2021 09:42:13 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Utkarsh Singh <utkarsh190601@HIDDEN>
Subject: Re: bug#46660: [PATCH] 28.0.50; Support for PKGBUILD files on Arch
 Linux
References: <87eehbwbaz.fsf@HIDDEN>
X-Yow: I LIKE Aisle 7a.
Date: Sat, 20 Feb 2021 09:42:13 +0100
In-Reply-To: <87eehbwbaz.fsf@HIDDEN> (Utkarsh Singh's message of "Sat, 20
 Feb 2021 11:06:04 +0530")
Message-ID: <87pn0v6sgq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 46660
Cc: 46660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Feb 20 2021, Utkarsh Singh wrote:

> diff --git a/lisp/files.el b/lisp/files.el
> index 68e883513c..7d01938144 100644
> --- a/lisp/files.el
> +++ b/lisp/files.el
> @@ -2723,6 +2723,7 @@ auto-mode-alist
>       ("\\.scm\\.[0-9]*\\'" . scheme-mode)
>       ("\\.[ckz]?sh\\'\\|\\.shar\\'\\|/\\.z?profile\\'" . sh-mode)
>       ("\\.bash\\'" . sh-mode)
> +     ("PKGBUILD$" . sh-mode)

Use "\\'" instead of "$".  Is this supposed to match "fooPKGBUILD"?

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46660; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2021 08:19:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 03:19:03 2021
Received: from localhost ([127.0.0.1]:50920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDNTh-0005gG-Hx
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 03:19:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:42072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1lDKuM-0001aA-Dt
 for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 00:34:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54626)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <utkarsh190601@HIDDEN>)
 id 1lDKuM-00031P-0H
 for bug-gnu-emacs@HIDDEN; Sat, 20 Feb 2021 00:34:22 -0500
Received: from mail-pj1-x1035.google.com ([2607:f8b0:4864:20::1035]:52645)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <utkarsh190601@HIDDEN>)
 id 1lDKuI-0001EU-7w
 for bug-gnu-emacs@HIDDEN; Sat, 20 Feb 2021 00:34:21 -0500
Received: by mail-pj1-x1035.google.com with SMTP id kr16so4942431pjb.2
 for <bug-gnu-emacs@HIDDEN>; Fri, 19 Feb 2021 21:34:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=2z8778qXd0J/sR1MsTZUh7ZgMmIzjhaOQZXwEw1ACus=;
 b=ndKqzSs+gMgeV5lHF/DbyDOLdtxKGQVs1DrdAZSlYhgUW3sTqTFqX7337JiTPrG6ZF
 19U2VVJ3ZmOvJ7MNYzHymL7xQ8KCOpPIKPT7NRpS5EgbQ0hYjBwPBE65XYrUmKDClEzb
 JdxVOFbmP919uNBkmxP31GlewqLn6MXHkOdB6BNIhktwvG7WhcnryP0EXejwVqX0uG3A
 hGP+BebIzcBtjOrbtP5qL4KOUPEqIeaBxq6nvZh2iYli09QBrBGQZGBgpMKl9/yw/wRb
 1tV5CxBIMNSZnPFYKCjAXitL1gHPFvvRrH9dGaodnd70aKxCqo/AcpsX55rLVDFKtMyz
 k90g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=2z8778qXd0J/sR1MsTZUh7ZgMmIzjhaOQZXwEw1ACus=;
 b=RoSzKZnP2m6HmK7vxUk8M0opv5iynjvGF46+uMp6/u0d9NQQEvx5kk9OBLqge4p2r3
 cEgue94QD4WqnZV7EWEekuGRj1cykXZLQx91aUL3IAoK0l/ZDSQHtYQ9pllY0pcIU+xy
 kB2/RYZYK3+W8QW4npiFW/KUeAxR3PIY+RwBabXibBhqfAEkW5QoxbBJ7QxwiCu02RVs
 8aYbNPsD6vkEfWOHjvHLGXj+s/9Ws5ARPnmcRXkS22aLP8oCDwBMNJjf39cMA2IPzkim
 O+xfTVgjtkppTAXyR6YysopRMGoG3QJ4TymqSoYE1qRtJHWpZZkZy6t1kdoOhVFNXDan
 Bl5g==
X-Gm-Message-State: AOAM530/yTVHPgsIOaO6ohqBXhkYDCsd+rZ1EFMclB76AeAQNdMIUuTA
 VnW+G45iok7EN4HGTlDKF8aJNkOiwOs=
X-Google-Smtp-Source: ABdhPJwIuI3eO2Dt6oAJOncEpcF2n1NLgDYDFdOfea4v1y2JV1/X1W308iGhACJ/5b71bTpWyRecxA==
X-Received: by 2002:a17:903:183:b029:e1:1057:a4c7 with SMTP id
 z3-20020a1709030183b02900e11057a4c7mr12330050plg.31.1613799255436; 
 Fri, 19 Feb 2021 21:34:15 -0800 (PST)
Received: from localhost ([103.77.0.97])
 by smtp.gmail.com with ESMTPSA id v1sm13827411pfi.99.2021.02.19.21.34.13
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 19 Feb 2021 21:34:14 -0800 (PST)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] 28.0.50; Support for PKGBUILD files on Arch Linux
Date: Sat, 20 Feb 2021 11:06:04 +0530
Message-ID: <87eehbwbaz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2607:f8b0:4864:20::1035;
 envelope-from=utkarsh190601@HIDDEN; helo=mail-pj1-x1035.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 20 Feb 2021 03:18:58 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi,

Can we add support for PKGBUILD(1) files for Emacs which are used to
install packages from AUR(Arch User Repository).

PKGBUILD are just normal shell script files, so we just have to add
sh mode to it:
diff --git a/lisp/files.el b/lisp/files.el
index 68e883513c..7d01938144 100644
=2D-- a/lisp/files.el
+++ b/lisp/files.el
@@ -2723,6 +2723,7 @@ auto-mode-alist
      ("\\.scm\\.[0-9]*\\'" . scheme-mode)
      ("\\.[ckz]?sh\\'\\|\\.shar\\'\\|/\\.z?profile\\'" . sh-mode)
      ("\\.bash\\'" . sh-mode)
+     ("PKGBUILD$" . sh-mode)
      ("\\(/\\|\\`\\)\\.\\(bash_\\(profile\\|history\\|log\\(in\\|out\\)\\)=
\\|z?log\\(in\\|out\\)\\)\\'" . sh-mode)
      ("\\(/\\|\\`\\)\\.\\(shrc\\|zshrc\\|m?kshrc\\|bashrc\\|t?cshrc\\|esrc=
\\)\\'" . sh-mode)
      ("\\(/\\|\\`\\)\\.\\([kz]shenv\\|xinitrc\\|startxrc\\|xsession\\)\\'"=
 . sh-mode)

There is also a special pkgbuild-mode(2) for editing these files which
is also an derivation of sh-mode.

[1]: https://wiki.archlinux.org/index.php/PKGBUILD
[2]: https://github.com/juergenhoetzel/pkgbuild-mode
=2D-=20
Utkarsh Singh

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCAA2FiEEO/UPT8Dq/qDVNhySSfZAAWYhrHYFAmAwn8QYHHV0a2Fyc2gx
OTA2MDFAZ21haWwuY29tAAoJEEn2QAFmIax2zQoH/3CtmU4QNNHnlTZn9QUVHYXk
G/jaLlJaGJVj8MhZ2LoKd/taXBPN4lYAQx3jWUvllHnVc8bhkKe7vIl3xX1weJ1O
5Nb4sQV1+066sOclLrBOVQ4cjf4Zs5Ikonl6gDuogY7vGpC4idEW1mhsKblabqLo
hyARW+HDXJ39QF+xG1rXy0w4eh6EaHcFnOq2HwhI5URn7P3Vs41WD1P1/tjME3JJ
Yn2fMDAgP2ucueRs7po7R7FD38QYzKU8j3SOQDwg/aNurqoFzG09TRfvg2PKzYAG
JlKQ3tUCTeGnTIWQxK9F9idOiviFjJgtVjxushToL9vDmEZJcVBVDZOHICWIt7Y=
=ok6+
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Utkarsh Singh <utkarsh190601@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46660; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 23 Feb 2021 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.